class 'ExtraMiniGamesBase' (ExtraReplayPageBase)

function ExtraMiniGamesBase:__init(extraScreen, order)
	ExtraReplayPageBase.__init(self, extraScreen, 'MiniGamesPage', order)

	self.previewFileFormat	= 'Data/ExtraContent/Textures/Screens/Extra/MiniGame/%s.png'
	self.previewNameFormat	= 'mg_%s'
	self.lockPreviewName	= 'mg_lock'

	table.insert(self.searchingTypes, level_modes.mini_game)
end
-------------------------------------------------------------------------------

function ExtraMiniGamesBase:isEnableLevel(levelName, tag)
	return self:isGameProgressCompleted(tag) or isMiniGameCompleted(levelName, tag)
end
-------------------------------------------------------------------------------